#include <vdr/status.h>

// --- cTimerObj --------------------------------------------------------
class cTimerObj : public cListObject {
public:
    cTimer* timer;
    cTimerObj(cTimer* Timer) : timer(Timer) {}
    ~cTimerObj() { timer = NULL;  } // do not delete anything!
};

// --- cRecTimerObj --------------------------------------------------------
class cRecTimerObj : public cTimerObj {
public:
    int deviceNr;
public:
    cRecTimerObj(cTimer* Timer, int DeviceNr) : cTimerObj(Timer), deviceNr(DeviceNr) {}
    ~cRecTimerObj() { timer = NULL;  } // do not delete anything!
};

class cRecStatusMonitor : public cStatus 
{
    cList<cRecTimerObj> TimersRecording;
protected:
    virtual void Recording(const cDevice *Device, const char *Name, const char*, bool On);
 public:
    cRecStatusMonitor();
    static const cChannel* GetDeluxeChannel();
};

extern cRecStatusMonitor* gl_recStatusMonitor;
